#!/usr/bin/env bash

if [ ! -z "${APPNET}" ]; then
   echo "Initial nslookup ${HOSTNAME}.${APPNET}"
   nslookup ${HOSTNAME}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for ${HOSTNAME}.${APPNET} to become available"
     sleep 1
     nslookup ${HOSTNAME}.${APPNET}
   done

   echo "Initial nslookup ${ADMIN_HOST}.${APPNET}"
   nslookup ${ADMIN_HOST}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for ${ADMIN_HOST}.${APPNET} to become available"
     sleep 1
     nslookup ${ADMIN_HOST}.${APPNET}
   done
fi
export admin_ip=$(nslookup ${ADMIN_HOST}.${APPNET}|grep Address|tail -n1|cut -d " " -f2)
echo "#Dummy" >> /etc/rc.d/init.d/functions
source /etc/init.d/web-registry-portal status

if [ ! -z "$*" ]
then
    exec "$@"
else
    exec ${WEB_REGISTRY_BIN} ${WEB_REGISTRY_CUSTOM_OPTS} ${WEB_REGISTRY_OPTS}
fi
